Upgrading from 10.6 to 10.7 keepking XCode 3

I was forced to updagrade my OSX from 10.6 to 10.7. I read somewhere that if you keep XCode 3 installed before the upgrade it would work without problems, which was correct, but when I tried to compile the examples (I tried with the file downloaded from the site) there was a error about not finding libfmodex.dylib.

I searched the forum and found a suggestion to include the fmodex lib. What I tried was to modify the Project.config like this

//THE PATH TO THE ROOT OF OUR OF PATH RELATIVE TO THIS PROJECT.
//THIS NEEDS TO BE DEFINED BEFORE CoreOF.xcconfig IS INCLUDED
OF_PATH = …/…/…

//THIS HAS ALL THE HEADER AND LIBS FOR OF CORE
#include “…/…/…/libs/openFrameworksCompiled/project/osx/CoreOF.xcconfig”

OTHER_LDFLAGS = $(OF_CORE_LIBS) $(OF_PATH)/libs/fmodex/libs/osx/libfmodex.dylib
HEADER_SEARCH_PATHS = $(OF_CORE_HEADERS) $(OF_PATH)/libs/fmodex/include

but it didn’t work. What do I have to do solve this problem?